{# templates/film/index.html.twig #}
{% extends 'base.html.twig' %}
{% block title %}
    Liste des films
{% endblock %}
{% block body %}
    <h1>Liste des films</h1>
    <p><a class="btn btn-primary" href="{{ path('film_add') }}">Ajouter un film</a></p>
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th>Titre</th>
        <th>Genre</th>
        <th>Année</th>
        <th>Résumé</th>
        <th width="120"></th>
        </thead>
        <tbody>
        {% for film in arrayFilms %}
            <tr id="{{ film.id }}">
                <td id="titre">{{ film.titre }}</td>
                <td>{{ film.idgenre.nom }}</td>
                <td>{{ film.annee }}</td>
                <td>{{ film.resume }}</td>
                <td>
                    <a class="btn btn-primary btn-sm" href="{{ path('film_edit', { 'id': film.id
                    }) }}" title="Modifier le film">
                        <i class="fa fa-edit" aria-hidden="true"></i>&nbsp;Modifier
                    </a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">Aucun film n'a été trouvé.</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <nav aria-label="Page navigation">
        <ul class="pagination">
            {# On utilise la fonction range(a, b) qui crée un tableau de valeurs entre a et b #}
            {% for p in range(1, nbPages) %}
                {% if p == page %}
                    <li class="page-item active">
                        <a class="page-link" href="#">{{ p }} <span class="sronly">(current)</span></a>
                    </li>
                {% else %}
                    <li class="page-item"><a class="page-link" href="{{ path('film_index',
                            {'page': p}) }}">{{ p }}</a></li>
                {% endif %}
            {% endfor %}
        </ul>
    </nav>
{% endblock %}